CDEntryBean

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## thegroup.projectcddb.database
Class CDEntryBean

    java.lang.Object
      thegroup.projectcddb.database.CDEntryBean

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, javax.ejb.EntityBean, java.io.Serializable

public class CDEntryBean
extends java.lang.Object
implements javax.ejb.EntityBean

Class which encapsulates the idea of a CD/Disc according to the data from an assocaited CDDB entry.

Version:
  1.0
Author:
  diana abbas < dabbas @ umail ucsb edu >, kyle dorman < kyle_dorman @ umail ucsb edu>
See Also:
  `Track`, Serialized Form

Field Summary
`javax.ejb.EntityContext` | `context` The runtime context of the entity bean
`java.lang.String` | `discId` The Disc ID, a hex number that every file has
`java.lang.String` | `extendedData` Extended data associated with the disc which may or may not exist
`java.lang.String` | `genre` Genre of the disc
`java.lang.Integer` | `id` The ID, essentially the primary key for the disc
`java.lang.String` | `title` Title of the disc
`java.lang.String` | `year` Year of the disc

Constructor Summary
`CDEntryBean()` Constructor for the CDEntryBean object

Method Summary
`void` | `ejbActivate()` A container invokes this method when the instance is taken out of the pool of available instances to become associated with a specific EJB object.
`java.lang.Integer` | `ejbCreate(java.lang.String discid, java.lang.String title, java.lang.String year, java.lang.String genre, java.lang.String extendedData)` Creates a bean with the information given to it
`void` | `ejbLoad()` A container invokes this method to instruct the instance to synchronize its state by loading it state from the underlying database
`void` | `ejbPassivate()` A container invokes this method on an instance before the instance becomes disassociated with a specific EJB object.
`void` | `ejbPostCreate(java.lang.String discid, java.lang.String title, java.lang.String year, java.lang.String genre, java.lang.String extendedData)` Manages the already created bean
`void` | `ejbRemove()` A container invokes this method before it removes the EJB object that is currently associated with the instance.
`void` | `ejbStore()` A container invokes this method to instruct the instance to synchronize its state by storing it to the underlying database.
`java.lang.String` | `getDiscId()` Gets the Discid attribute of the CDEntryBean object
`java.lang.String` | `getExtendedData()` Gets the ExtendedData attribute of the CDEntry object
`java.lang.String` | `getGenre()` Gets the Genre attribute of the CDEntry object
`java.lang.Integer` | `getId()` Gets the Id attribute of the CDEntry object
`java.lang.String` | `getTitle()` Gets the Title attribute of the CDEntry object
`java.lang.String` | `getYear()` Gets the Year attribute of the CDEntry object
`void` | `setDiscid(java.lang.String discid)` Sets the Discid attribute of the CDEntryBean object
`void` | `setEntityContext(javax.ejb.EntityContext context)` Sets the EntityContext attribute of the CDEntryBean object
`void` | `setExtendedData(java.lang.String extendedData)` Sets the ExtendedData attribute of the CDEntry object
`void` | `setGenre(java.lang.String genre)` Sets the Genre attribute of the CDEntry object
`void` | `setId(java.lang.Integer id)` Sets the Id attribute of the CDEntry object
`void` | `setTitle(java.lang.String title)` Sets the Title attribute of the CDEntry object
`void` | `setYear(java.lang.String year)` Sets the Year attribute of the CDEntry object
`void` | `unsetEntityContext()` Unset the associated entity context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    public javax.ejb.EntityContext context

  The runtime context of the entity bean

### discId

    public java.lang.String discId

  The Disc ID, a hex number that every file has

### id

    public java.lang.Integer id

  The ID, essentially the primary key for the disc

### title

    public java.lang.String title

  Title of the disc

### year

    public java.lang.String year

  Year of the disc

### genre

    public java.lang.String genre

  Genre of the disc

### extendedData

    public java.lang.String extendedData

  Extended data associated with the disc which may or may not exist

Constructor Detail

### CDEntryBean

    public CDEntryBean()

  Constructor for the CDEntryBean object

Method Detail

### setId

    public void setId(java.lang.Integer id)

  Sets the Id attribute of the CDEntry object

  Parameters:
    `id` - The new Id value

### setTitle

    public void setTitle(java.lang.String title)

  Sets the Title attribute of the CDEntry object

  Parameters:
    `title` - The new Title value
  Since:
    empty

### setYear

    public void setYear(java.lang.String year)

  Sets the Year attribute of the CDEntry object

  Parameters:
    `year` - The new Year value
  Since:
    empty

### setGenre

    public void setGenre(java.lang.String genre)

  Sets the Genre attribute of the CDEntry object

  Parameters:
    `genre` - The new Genre value

### setExtendedData

    public void setExtendedData(java.lang.String extendedData)

  Sets the ExtendedData attribute of the CDEntry object

  Parameters:
    `extendedData` - The new ExtendedData value

### setDiscid

    public void setDiscid(java.lang.String discid)

  Sets the Discid attribute of the CDEntryBean object

  Parameters:
    `discid` - The new Discid value

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext context)
                          throws javax.ejb.EJBException,
                                 java.rmi.RemoteException

  Sets the EntityContext attribute of the CDEntryBean object

  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`
  Parameters:
    `context` - The new EntityContext value
  Throws:
    `javax.ejb.EJBException` - Indicates a failure caused by a system-level error
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getId

    public java.lang.Integer getId()
                            throws java.rmi.RemoteException

  Gets the Id attribute of the CDEntry object

  Returns:
    The Id value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getTitle

    public java.lang.String getTitle()
                              throws java.rmi.RemoteException

  Gets the Title attribute of the CDEntry object

  Returns:
    The Title value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getYear

    public java.lang.String getYear()
                             throws java.rmi.RemoteException

  Gets the Year attribute of the CDEntry object

  Returns:
    The Year value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getGenre

    public java.lang.String getGenre()
                              throws java.rmi.RemoteException

  Gets the Genre attribute of the CDEntry object

  Returns:
    The Genre value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getExtendedData

    public java.lang.String getExtendedData()
                                     throws java.rmi.RemoteException

  Gets the ExtendedData attribute of the CDEntry object

  Returns:
    The ExtendedData value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getDiscId

    public java.lang.String getDiscId()

  Gets the Discid attribute of the CDEntryBean object

  Returns:
    The Discid value

### ejbCreate

    public java.lang.Integer ejbCreate(java.lang.String discid,
                                       java.lang.String title,
                                       java.lang.String year,
                                       java.lang.String genre,
                                       java.lang.String extendedData)
                                throws javax.ejb.CreateException

  Creates a bean with the information given to it

  Parameters:
    `discid` -
    `title` -
    `year` -
    `genre` -
    `extendedData` -
  Returns:
    A bean with all the info given
  Throws:
    `javax.ejb.CreateException` - Failure to create an entity EJB object

### ejbPostCreate

    public void ejbPostCreate(java.lang.String discid,
                              java.lang.String title,
                              java.lang.String year,
                              java.lang.String genre,
                              java.lang.String extendedData)
                       throws javax.ejb.CreateException

  Manages the already created bean

  Parameters:
    `discid` -
    `title` -
    `year` -
    `genre` -
    `extendedData` -
  Throws:
    `javax.ejb.CreateException` - Failure to create an entity EJB object

### unsetEntityContext

    public void unsetEntityContext()
                            throws javax.ejb.EJBException,
                                   java.rmi.RemoteException

  Unset the associated entity context. The container calls this method before removing the instance

  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Indicates a failure caused by a system-level error
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException,
                            java.rmi.RemoteException

  A container invokes this method when the instance is taken out of the pool of available instances to become associated with a specific EJB object. This method transitions the instance to the ready state.

  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Indicates a failure caused by a system-level error
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException,
                        java.rmi.RemoteException

  A container invokes this method to instruct the instance to synchronize its state by loading it state from the underlying database

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Indicates a failure caused by a system-level error
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException,
                             java.rmi.RemoteException

  A container invokes this method on an instance before the instance becomes disassociated with a specific EJB object. After this method completes, the container will place the instance into the pool of available instances.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Indicates a failure caused by a system-level error
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException,
                          java.rmi.RemoteException,
                          javax.ejb.RemoveException

  A container invokes this method before it removes the EJB object that is currently associated with the instance.

  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.RemoveException` - An attempt to remove an EJB object when the enterprise Bean or the container does not allow the EJB object to be removed
    `javax.ejb.EJBException` - Indicates a failure caused by a system-level error
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException,
                         java.rmi.RemoteException

  A container invokes this method to instruct the instance to synchronize its state by storing it to the underlying database.

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Indicates a failure caused by a system-level error
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD